# Get validator

Get validator by public key

```
GET /validators/{public_key}?era_id={era_id}
```

## Query params

| Query param | Description                                                                                                                                         |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| `era_id`    | Active auction era identifier. Data for older eras aren't persistent for long, and will eventually become unavailable. This is a required parameter |

## Sorting

None

## Optional properties

| Property                   | Type                                                                                  | Description                                                                                             |
| -------------------------- | ------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| `account_info`             | [`AccountInfo`](https://docs.cspr.cloud/rest-api/account-info)                        | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the validator |
| `centralized_account_info` | [`CentralizedAccountInfo`](https://docs.cspr.cloud/rest-api/centralized-account-info) | Account information available for known accounts provided by CSPR.cloud team                            |
| `cspr_name`                | `string`                                                                              | Primary CSPR.name of the validator account                                                              |
| `average_performance`      | [`ValidatorPerformance`](https://docs.cspr.cloud/rest-api/validator-performance)      | Validator average performance                                                                           |

## Response

[`Validator`](https://docs.cspr.cloud/rest-api/validator)

## Example

{% hint style="info" %}
Since this API works only with recent eras, you'll need to replace the era ID with the latest one, which you can fetch using the [Get auction metrics API](https://docs.cspr.cloud/rest-api/auction-metrics/get-auction-metrics).
{% endhint %}

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/validators/012b365e09c5d75187b4abc25c4aa28109133bab6a256ef4abe24348073e590d80?era_id=18011' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": {
    "bid_amount": "422344060138949",
    "delegators_number": 7,
    "delegators_stake": "93505148759339619",
    "era_id": 18011,
    "fee": 10,
    "is_active": true,
    "maximum_delegation_amount": "1000000000000000000",
    "minimum_delegation_amount": "500000000000",
    "network_share": "8.5707487860917",
    "public_key": "012b365e09c5d75187b4abc25c4aa28109133bab6a256ef4abe24348073e590d80",
    "rank": 3,
    "reserved_slots": 0,
    "self_share": "0.44964902975816",
    "self_stake": "422344060138949",
    "total_stake": "93927492819478568"
  }
}
```
